# Generated by go2rpm
%bcond_with check

# https://github.com/Azure/azure-sdk-for-go
%global goipath         github.com/Azure/azure-sdk-for-go
Epoch:                  1
Version:                55.0.0

%gometa

%global common_description %{expand:
Azure-sdk-for-go provides Go packages for managing and using Azure services. It
officially supports the last two major releases of Go.}

%global golicenses      LICENSE NOTICE
%global godocs          CHANGELOG.md CONTRIBUTING.md README.md\\\
                        documentation

Name:           %{goname}
Release:        1%{?dist}
Summary:        Microsoft Azure SDK for Go

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/Azure/go-autorest/autorest)
BuildRequires:  golang(github.com/Azure/go-autorest/autorest/adal)
BuildRequires:  golang(github.com/Azure/go-autorest/autorest/azure)
BuildRequires:  golang(github.com/Azure/go-autorest/autorest/azure/auth)
BuildRequires:  golang(github.com/Azure/go-autorest/autorest/date)
BuildRequires:  golang(github.com/Azure/go-autorest/autorest/to)
BuildRequires:  golang(github.com/Azure/go-autorest/autorest/validation)
BuildRequires:  golang(github.com/Azure/go-autorest/tracing)
BuildRequires:  golang(github.com/globalsign/mgo)
BuildRequires:  golang(github.com/gofrs/uuid)
BuildRequires:  golang(github.com/Masterminds/semver)
BuildRequires:  golang(github.com/pkg/browser)
BuildRequires:  golang(github.com/shopspring/decimal)
BuildRequires:  golang(github.com/spf13/cobra)
BuildRequires:  golang(golang.org/x/crypto/pkcs12)
BuildRequires:  golang(golang.org/x/net/http/httpguts)
BuildRequires:  golang(golang.org/x/tools/imports)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/dnaeon/go-vcr/cassette)
BuildRequires:  golang(github.com/dnaeon/go-vcr/recorder)
BuildRequires:  golang(golang.org/x/net/http2)
BuildRequires:  golang(gopkg.in/check.v1)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck -d tools/versioner/cmd -d sdk/tools/apidiff/markdown -d sdk/tools/internal/modinfo
%endif

%gopkgfiles

%changelog
* Sun May 30 21:14:49 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 55.0.0-1
- Update to 55.0.0
- Close: rhbz#1916635

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 50.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Jan 14 15:07:52 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 50.0.0-1
- Update to 50.0.0
- Close: rhbz#1915324

* Tue Dec 15 07:56:40 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 49.0.0-1
- Update to 49.0.0
- Close: rhbz#1862853

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 44.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jul 23 22:54:32 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 44.2.0-1
- Update to 44.2.0

* Tue Jan 28 23:29:12 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 38.2.0-1
- Update to 38.2.0

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 28.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 28.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jul 05 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 28.0.0-2
- Add Obsoletes for old name

* Mon Apr 29 18:35:40 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 28.0.0-1
- Release 28.0.0

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 15.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 15.2.0-3
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 15.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Mar 26 2018 Robert-André Mauchin <zebob.m@gmail.com> - 15.2.0-1
- Upstream release v15.2.0

* Wed Feb 28 2018 Jan Chaloupka <jchaloup@redhat.com> - 1.2-0.10.20150612git97d9593
- Autogenerate some parts using the new macros

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-0.9.git97d9593
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-0.8.git97d9593
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-0.7.git97d9593
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-0.6.git97d9593
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Aug 09 2016 jchaloup <jchaloup@redhat.com> - 1.2-0.5.git97d9593
- Enable devel and unit-test for epel7
  resolves: #1365467

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-0.4.git97d9593
- https://fedoraproject.org/wiki/Changes/golang1.7

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-0.3.git97d9593
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-0.2.git97d9593
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Sep 14 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.git97d9593
- First package for Fedora
  resolves: #1262716
